Function
goNext
Iterates to next position.
goNext(iterator)
goNext(file,it)
Include Headers
seqan/basic.h, seqan/blast.h, seqan/file.h, seqan/graph_types.h
Parameters

iterator | An iterator. iterator is set to the next position of an iteration through its container. Types: Iterator: BottomUp Iterator, Iter, ModifiedIterator, TopDownHistory Iterator Adjacency Iterator, Bfs Iterator, Dfs Preorder Iterator, Edge Iterator, HitIterator, HspIterator, Out-Edge Iterator, Segment, Vertex Iterator
file | A file stream.
it | An iterator. Types: HitIterator, HspIterator

Remarks
This function is equivalent to ++iterator.
Example Programs
Iterator Basics
Part of Concept
Iterator
See Also
goFurther, goPrevious, goEnd, goBegin
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47